package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class ResourceTimeLogPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    private String resourceState;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.ELAPSED_TIME
     *
     * @mbggenerated
     */
    private BigDecimal elapsedTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_time_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.HANDLE
     *
     * @return the value of resource_time_log.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.HANDLE
     *
     * @param handle the value for resource_time_log.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.SITE
     *
     * @return the value of resource_time_log.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.SITE
     *
     * @param site the value for resource_time_log.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.RESOURCE_BO
     *
     * @return the value of resource_time_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.RESOURCE_BO
     *
     * @param resourceBo the value for resource_time_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.STRT
     *
     * @return the value of resource_time_log.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.STRT
     *
     * @param strt the value for resource_time_log.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.RESOURCE_STATE
     *
     * @return the value of resource_time_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    public String getResourceState() {
        return resourceState;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.RESOURCE_STATE
     *
     * @param resourceState the value for resource_time_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    public void setResourceState(String resourceState) {
        this.resourceState = resourceState == null ? null : resourceState.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.START_DATE_TIME
     *
     * @return the value of resource_time_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.START_DATE_TIME
     *
     * @param startDateTime the value for resource_time_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.END_DATE_TIME
     *
     * @return the value of resource_time_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.END_DATE_TIME
     *
     * @param endDateTime the value for resource_time_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.ELAPSED_TIME
     *
     * @return the value of resource_time_log.ELAPSED_TIME
     *
     * @mbggenerated
     */
    public BigDecimal getElapsedTime() {
        return elapsedTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.ELAPSED_TIME
     *
     * @param elapsedTime the value for resource_time_log.ELAPSED_TIME
     *
     * @mbggenerated
     */
    public void setElapsedTime(BigDecimal elapsedTime) {
        this.elapsedTime = elapsedTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.CREATED_DATE_TIME
     *
     * @return the value of resource_time_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_time_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.MODIFIED_DATE_TIME
     *
     * @return the value of resource_time_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_time_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_time_log.MODIFIED_USER
     *
     * @return the value of resource_time_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_time_log.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_time_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}